Separate an employee

Separates (terminates) a W-2 employee's active employment.

Eligibility for rehire

Set eligibleForRehire to indicate whether this employee can be brought back on in the future. This value determines whether a future hiring status lookup for this worker returns ELIGIBLE_FOR_REHIRE or NOT_ELIGIBLE_FOR_REHIRE. If they're later eligible and you want to bring them back as the same worker type, use Rehire a worker.

Severance

If you're paying this employee a severance amount, set shouldPaySeverance to true and provide the amount in severanceAmount.

Paying out time off balances

If you're paying out this employee's remaining time off balances, set payoutTimeOffBalances to true and provide at least one entry in timeOffSeparationCategories describing how each time off earning type should be paid out:

  • FULL_PAYOUT pays out the entire accrued balance for that category.
  • PERCENTAGE pays out the percentage of the accrued balance specified in percentageAmount.
  • MAX_HOURS pays out up to the number of hours specified in maxHoursAmount.
Path Params
string
required

The 'externalWorkerId' you assigned to the worker, or Everee's generated 'workerId' if you don't use your own IDs.

Body Params
date
required

The date, in the worker's local time zone, on which the separation becomes effective.

boolean
required

Whether this employee is eligible to be rehired in the future. If "true", a future hiring status lookup for this worker will return ELIGIBLE_FOR_REHIRE. If "false", it will return NOT_ELIGIBLE_FOR_REHIRE.

boolean
required

Whether to pay this employee a severance amount.

severanceAmount
object

The severance amount to pay this employee. Required if "shouldPaySeverance" is "true".

string
enum
required

The reason for this employee's separation.

Allowed:
string
date
required

The last date, in the worker's local time zone, on which this employee's benefits enrollment is active.

boolean
required

Whether to pay out this employee's remaining time off balances as part of their separation.

timeOffSeparationCategories
array of objects

How to pay out each category of accrued time off. Required to contain at least one item if "payoutTimeOffBalances" is "true".

timeOffSeparationCategories
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
text/plain
application/json